{*
* ppunpack.dll - PP (powerpacker) adatallomanyt tamogato rutinok
*
* @Author      : Peter Bakota, e-mail: bakota@tippnet.co.yu
* @Last update : 07.09.2001.
*
*}

unit ppunpack;

interface

const
      DECR_COL0   =0;
      DECR_COL1		=1;
      DECR_POINTER=2;
      DECR_SCROLL	=3;
      DECR_NONE		=4;

      // error codes
      PP_LOADOK		=	0;
      PP_LOCKERR 	=	1000;
      PP_OPENERR	=	1001;
      PP_READERR	=	1002;
      PP_NOMEMORY	=	1003;
      PP_CRYPTED	=	1004;
      PP_PASSERR	=	1005;

      // Ezeket itt a sajatom
      PP_NOTPPDATA =	1006;
      PP_WRITEERR	 =	1007;

function ppLoadFile(FileName : PChar; Buffer : Pointer; uLen : Pointer): LongInt; stdcall;
procedure ppFreeBuffer(Buffer : Pointer; uLen : LongInt); stdcall;
procedure ppDecrunchBuffer(Buffer : Pointer; UBuffer : Pointer; pLen : LongInt; uLen : LongInt); stdcall;
function ppGetUSize(Buffer : Pointer; pLen : LongInt; uLen : Pointer): LongBool; stdcall;
function ppGetUSizeFromFile(FileName : PChar; uLen : Pointer):LongBool; stdcall;
function ppDecrunchFile(Src : PChar; Dest : PChar): LongBool; stdcall;
function ppIsPPFile(FileName: PChar): LongBool; stdcall;

implementation

function ppLoadFile(FileName : PChar; Buffer : Pointer; uLen : Pointer): LongInt; stdcall; external 'ppunpack.dll';
procedure ppFreeBuffer(Buffer : Pointer; uLen : LongInt); stdcall; external 'ppunpack.dll';
procedure ppDecrunchBuffer(Buffer : Pointer; UBuffer : Pointer; pLen : LongInt; uLen : LongInt); stdcall; external 'ppunpack.dll';
function ppGetUSize(Buffer : Pointer; pLen : LongInt; uLen : Pointer): LongBool; stdcall; external 'ppunpack.dll';
function ppGetUSizeFromFile(FileName : PChar; uLen : Pointer):LongBool; stdcall; external 'ppunpack.dll';
function ppDecrunchFile(Src : PChar; Dest : PChar): LongBool; stdcall; external 'ppunpack.dll';
function ppIsPPFile(FileName: PChar): LongBool; stdcall; external 'ppunpack.dll';

end.
